%define upstream_name    ExtUtils-XSpp
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12
BuildArch:	noarch

Summary:    A tiny C++ class example that holds a string and an int
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 2.0.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.220.200
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::Differences)
BuildRequires: perl-devel
Requires:   perl(ExtUtils::ParseXS) >= 2.220.0
Provides:   perl(ExtUtils::XSpp::Lexer)

%{?perl_default_filter}

%description
Anything that does not look like a XS++ directive or a class declaration is
passed verbatim to XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-12.mga8
+ Revision: 1494472
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.180.0-11.mga7
+ Revision: 1267883
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-10.mga6
+ Revision: 1027252
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.180.0-9.mga6
+ Revision: 971498
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 0.180.0-8.mga6
+ Revision: 891764
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-7.mga5
+ Revision: 747176
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.180.0-6.mga5
+ Revision: 732111
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-5.mga5
+ Revision: 684693
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.180.0-4.mga5
+ Revision: 633935
- perl 5.20 rebuild

* Thu Mar 20 2014 jquelin <jquelin> 0.180.0-3.mga5
+ Revision: 606081
- perl 5.18.2 rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 542314
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 497359
- update to 0.18

* Fri Jun 07 2013 jquelin <jquelin> 0.170.0-1.mga4
+ Revision: 439276
- update to 0.1700

* Wed May 29 2013 tv <tv> 0.160.300-3.mga4
+ Revision: 432704
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.160.300-2.mga3
+ Revision: 367078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.160.300-1.mga3
+ Revision: 342154
- update to 0.1603

* Tue Nov 06 2012 jquelin <jquelin> 0.160.200-7.mga3
+ Revision: 315007
- perl 5.16.2 shebang rebuild

* Fri Aug 24 2012 jquelin <jquelin> 0.160.200-6.mga3
+ Revision: 283540
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.160.200-5.mga3
+ Revision: 254208
- fix shebang with new perl 5.16 path

* Mon Nov 21 2011 jquelin <jquelin> 0.160.200-4.mga2
+ Revision: 170442
- wrong shebang line
- fix %%description
- perl 5.14.2 rebuild

* Sun Jun 19 2011 jquelin <jquelin> 0.160.200-2.mga2
+ Revision: 109885
- rebuild script for perl 5.14.1

* Wed Jun 15 2011 jquelin <jquelin> 0.160.200-1.mga2
+ Revision: 106940
- update to 0.1602

* Sun Mar 13 2011 jquelin <jquelin> 0.160.100-1.mga1
+ Revision: 70515
- update to 0.1601

* Fri Jan 21 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 30252
- mageia rebuild
- imported package perl-ExtUtils-XSpp

